#ifndef FONT_H_
#define FONT_H_

namespace system {
	/*
	 * フォントクラス
	 * フォントへのポインタ、サイズなどを保持
	 */
	class Font {
		const byte* font_;
		int xsize_; // 1文字あたりの横サイズ
		int ysize_; // 1文字あたりの縦サイズ
	public:
		Font(const byte* font, int xsize, int ysize)
		: font_(font), xsize_(xsize), ysize_(ysize) {}
		const byte* getptr() { return font_; }
		int getxsize() { return xsize_; }
		int getysize() { return ysize_; }
	};
}

#endif /*FONT_H_*/
